Name: qt-creator
Version: 1.2.1
Release: %mkrel 2
License: LGPLv2+ and MIT
Summary: Qt Creator is a lightweight, cross-platform integrated·development environment (IDE)
Group: Development/KDE and Qt
URL: http://www.qtsoftware.com/developer/qt-creator
Source0: http://download.qtsoftware.com/qtcreator/%name-%version-src.zip
Source1: nokia-qtcreator-icons.tar.bz2
Source2: Nokia-QtCreator.xml
Source3: qtcreator.desktop
Patch0: qt-creator-1.2.0-cmake.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt4-devel >= 2:4.5.0
BuildRequires: qt4-qdoc3
BuildRequires: qt4-assistant
BuildRequires: cmake
BuildRequires: automoc4
Suggests: qt4-designer
Suggests: qt4-assistant
Suggests: qt4-devel
Suggests: cmake

%description
Qt Creator (previously known as Project Greenhouse) is a new, lightweight, cross-platform integrated 
development environment (IDE) designed to make development with the Qt application framework even faster and easier.

%files
%defattr(-,root,root,-)
%doc README
%_bindir/qtcreator
%_bindir/qtcreator_process_stub
%dir %_datadir/qtcreator
%_datadir/qtcreator/*
%_datadir/pixmaps/*
%qt4plugins/Nokia/*
%_datadir/icons/*/*/*/Nokia-QtCreator.png
%_datadir/mime/*
%_datadir/applications/qtcreator.desktop

#------------------------------------------------------------------------------

%define cplusplus_soname 1
%define libcplusplus %mklibname cplusplus %{cplusplus_soname}

%package -n %{libcplusplus}
Summary: Qt Creator core library
Group: Development/KDE and Qt

%description -n %{libcplusplus}
Qt Creator core library

%files -n %{libcplusplus}
%defattr(-,root,root,-)
%_libdir/libCPlusPlus.so.*
%exclude %_libdir/libCPlusPlus.so

#------------------------------------------------------------------------------

%define aggregation_soname 1
%define libaggregation %mklibname aggregation %{aggregation_soname}

%package -n %{libaggregation}
Summary: Qt Creator core library
Group: Development/KDE and Qt

%description -n %{libaggregation}
Qt Creator core library

%files -n %{libaggregation}
%defattr(-,root,root,-)
%_libdir/libAggregation.so.*
%exclude %_libdir/libAggregation.so

#------------------------------------------------------------------------------

%define extensionsystem_soname 1
%define libextensionsystem %mklibname extensionsystem %{extensionsystem_soname}

%package -n %{libextensionsystem}
Summary: Qt Creator core library
Group: Development/KDE and Qt

%description -n %{libextensionsystem}
Qt Creator core library

%files -n %{libextensionsystem}
%defattr(-,root,root,-)
%_libdir/libExtensionSystem.so.*
%exclude %_libdir/libExtensionSystem.so

#------------------------------------------------------------------------------

%define utils_soname 1
%define libutils %mklibname utils %{utils_soname}

%package -n %{libutils}
Summary: Qt Creator core library
Group: Development/KDE and Qt

%description -n %{libutils}
Qt Creator core library

%files -n %{libutils}
%defattr(-,root,root,-)
%_libdir/libUtils.so.*
%exclude %_libdir/libUtils.so

#------------------------------------------------------------------------------

%define qtconcurrent_soname 1
%define libqtconcurrent %mklibname qtconcurrent %{qtconcurrent_soname}

%package -n %{libqtconcurrent}
Summary: Qt Creator core library
Group: Development/KDE and Qt

%description -n %{libqtconcurrent}
Qt Creator core library

%files -n %{libqtconcurrent}
%defattr(-,root,root,-)
%_libdir/libQtConcurrent.so.*
%exclude %_libdir/libQtConcurrent.so

#------------------------------------------------------------------------------

%package doc
Summary: Qt Creator documentation
Group: Development/KDE and Qt
Suggests: qt4-doc

%description doc
Qt Creator documentation.

%files doc
%defattr(-,root,root,-)
%_datadir/doc/qtcreator/qtcreator.qch

#------------------------------------------------------------------------------

%prep
%setup -qn %name-%version-src
%patch0 -p1

%build
export QTDIR=%{qt4dir}
%cmake_qt4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build DESTDIR=%buildroot

tar xfj %{SOURCE1}
for size in 16 32 48 64 128; do
	mkdir -p %buildroot/%_datadir/icons/oxygen/${size}x${size}/apps
	mv Nokia-QtCreator-${size}.png %buildroot/%_datadir/icons/oxygen/${size}x${size}/apps/Nokia-QtCreator.png
done

mkdir -p %buildroot/%_datadir/mime
install -m 0644 %{SOURCE2} %buildroot/%_datadir/mime

mkdir -p %buildroot/%_datadir/applications
install -m 0644 %{SOURCE3} %buildroot/%_datadir/applications

%clean
rm -rf %buildroot


%changelog
* Tue Sep 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-2mdv2010.0
+ Revision: 451025
- Fixing stub binary place as demanded as fast as possible by research and development team.

* Tue Jul 14 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.1-1mdv2010.0
+ Revision: 396006
- New upstream bugfix release 1.2.1

* Sat Jul 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1.2.0-1mdv2010.0
+ Revision: 392362
- New upstream version

* Wed Apr 29 2009 Helio Chissini de Castro <helio@mandriva.com> 1.1.0-1mdv2010.0
+ Revision: 369145
- Update release 1.1.0 with cmake patch updated as well

* Mon Mar 16 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 355923
- Fixed doc package creation

* Wed Mar 11 2009 Funda Wang <fundawang@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 353617
- add proper categories

* Mon Mar 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-2mdv2009.1
+ Revision: 353237
- This is the first package with the new changes introduced by Mandriva to make a suitable distro compliant
  buildsystem, to list some of the changes:
- Cmake buildsystem replacement fully working, allowing a good 32 bits / 64 bits separation
- Designer plugin fully working
- Added missing icons and mimes, taken from upstream binary package
- Added global mime
- Added desktop file and icons
- Finished initial cmake port build to allow 64 / 32 bits. Still under
  development since some plugins aren't properly registering

* Tue Mar 03 2009 Funda Wang <fundawang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 347862
- New version 1.0.0

* Mon Feb 16 2009 Helio Chissini de Castro <helio@mandriva.com> 0.9.2-1mdv2009.1
+ Revision: 341074
- import qt-creator


